import { Get_LOGIN_SMS } from './chat';
import request from '/@/utils/request';
export const LOGIN_URL = '/login';
export const TEL_LOGIN_URL = '/send_login_sms';
/**
 * @summary description
 */
export const PostLogin = async (params, req: any = request) => {
	return req({
		url: LOGIN_URL,
		method: 'POST',
		data: params,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded',
		},
	});
};

/**
 * @summary description
 */
export const PostLogout = async (req: any = request) => {
	return req({
		url: '/logout',
		method: 'POST',
	});
};

//发送短信验证码
export const loginVerifyMessage = async (params, req: any = request) => {
	return req({
		url: TEL_LOGIN_URL,
		method: 'POST',
		data: params,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded',
		},
	});
};

//发送短信验证码登录
export const loginMessageUser = async (params, req: any = request) => {
	return req({
		url: Get_LOGIN_SMS,
		method: 'POST',
		data: params,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded',
		},
	});
};
